[Rubygems-developers] Incrementing Gem::RubyGemsVersion on trunk?

Chad Woolley thewoolleyman at gmail.com
Thu Jun 19 21:21:53 EDT 2008


On Fri, Mar 28, 2008 at 2:07 PM, Ryan Davis <ryand-ruby at zenspider.com> wrote:
> On Mar 27, 2008, at 22:02 , Chad Woolley wrote:
>> RubyGemsVersion = '1.0.1' + (ENV['TRUNK_VERSION'] ? '.' + `svn log -q
>> -rhead http://rubygems.rubyforge.org/svn/trunk`.scan(/
>> r([0-9]*)/).first.first.to_s
>> : "")
>
> `svnversion .`.chomp

Bringing this thread back to life.

Currently, I can't get a green build against trunk for this reason,
because I have a >= 1.2.0 check for code that deals with parsing the
dependency output, which now includes the dependency type.

I'm currently manually updating the version in my local dev and CI
copies, but that's just dumb.

So, I'd like to append the output of `svnversion .`.chomp to
Gem::RubyGemsVersion, if (and only if) an environment variable is set.
 'USE_SVNVERSION' unless someone has a better idea.

Any objections?

Thanks,
-- Chad


More information about the Rubygems-developers mailing list